# WOK
TKWOK
WOKernel

# WOKernel_HSequenceOfFile Class Reference

`#include <WOKernel_HSequenceOfFile.hxx>`

## Public Member Functions

| WOKernel_HSequenceOfFile ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(WOKernel_File)&anItem)
Standard_EXPORT void | Append (const Handle(WOKernel_HSequenceOfFile)&aSequence)
Standard_EXPORT void | Prepend (const Handle(WOKernel_File)&anItem)
Standard_EXPORT void | Prepend (const Handle(WOKernel_HSequenceOfFile)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKernel_File)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKernel_HSequenceOfFile)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKernel_File)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKernel_HSequenceOfFile)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_WOKernel_HSequenceOfFile | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(WOKernel_File)&anItem)
Standard_EXPORT const Handle_WOKernel_File & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_WOKernel_File & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const WOKernel_SequenceOfFile & | Sequence () const
WOKernel_SequenceOfFile & | ChangeSequence ()
Standard_EXPORT Handle_WOKernel_HSequenceOfFile | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKernel_SequenceOfFile | mySequence

## Constructor & Destructor Documentation

WOKernel_HSequenceOfFile::WOKernel_HSequenceOfFile | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKernel_HSequenceOfFile::Append | ( | const Handle(WOKernel_HSequenceOfFile)& | aSequence | ) |

Standard_EXPORT void WOKernel_HSequenceOfFile::Append | ( | const Handle(WOKernel_File)& | anItem | ) |

WOKernel_SequenceOfFile& WOKernel_HSequenceOfFile::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_WOKernel_File& WOKernel_HSequenceOfFile::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKernel_HSequenceOfFile::Clear | ( |  | ) |

Standard_EXPORT void WOKernel_HSequenceOfFile::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const WOKernel_HSequenceOfFile::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WOKernel_HSequenceOfFile::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKernel_HSequenceOfFile)& | aSequence
| ) |

Standard_EXPORT void WOKernel_HSequenceOfFile::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKernel_File)& | anItem
| ) |

Standard_EXPORT void WOKernel_HSequenceOfFile::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKernel_HSequenceOfFile)& | aSequence
| ) |

Standard_EXPORT void WOKernel_HSequenceOfFile::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKernel_File)& | anItem
| ) |

Standard_Boolean WOKernel_HSequenceOfFile::IsEmpty | ( |  | ) | const

Standard_Integer WOKernel_HSequenceOfFile::Length | ( |  | ) | const

Standard_EXPORT void WOKernel_HSequenceOfFile::Prepend | ( | const Handle(WOKernel_HSequenceOfFile)& | aSequence | ) |

Standard_EXPORT void WOKernel_HSequenceOfFile::Prepend | ( | const Handle(WOKernel_File)& | anItem | ) |

Standard_EXPORT void WOKernel_HSequenceOfFile::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void WOKernel_HSequenceOfFile::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKernel_HSequenceOfFile::Reverse | ( |  | ) |

const WOKernel_SequenceOfFile& WOKernel_HSequenceOfFile::Sequence | ( |  | ) | const

Standard_EXPORT void WOKernel_HSequenceOfFile::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKernel_File)& | anItem
| ) |

Standard_EXPORT Handle_WOKernel_HSequenceOfFile WOKernel_HSequenceOfFile::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_WOKernel_HSequenceOfFile WOKernel_HSequenceOfFile::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_WOKernel_File& WOKernel_HSequenceOfFile::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

WOKernel_SequenceOfFile WOKernel_HSequenceOfFile::mySequence `[private]`

The documentation for this class was generated from the following file:

- WOKernel_HSequenceOfFile.hxx